
'use strict';

class Mpvue {
  constructor() {
    // name
    this.name = 'mpvue';
    // command
    this.command = 'mpvue';
    // description
    this.description = 'mpvue 小程序编译';
    // options
    this.options = [
      ['-b, --builder [builder]', '指定编译模式, 如server, build', String, 'server'],
    ];

    // 前置依赖
    this.pre = ['begin'];
    // 后置依赖
    this.after = ['end'];
  }

  async action(wefe) {
    // action
    try {
      wefe = await require(`./build/${wefe.builder}`)(wefe);
    } catch (err) {
      return Promise.reject(err);
    }
    return Promise.resolve(wefe);
  }
}

module.exports = Mpvue;